/*
 * @(#)src/classes/sov/org/omg/CORBA/Principal.java, orb-api, hs131, 20021024 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)Principal.java	1.10 98/10/11
 *
 */

package org.omg.CORBA;


/**
 * A class that contains information about the identity of
 * the client, for access control
 * and other purposes. It contains a single attribute, the name of the
 * <code>Principal</code>, encoded as a sequence of bytes.
 * <P>
 * @deprecated Deprecated by CORBA 2.2.
 */

public abstract class Principal {

    /**
     * Sets the name of this <code>Principal</code> object to the given value.
     * @param value the value to be set in the <code>Principal</code>
     * @deprecated Deprecated by CORBA 2.2.
     */
    public abstract void name(byte[] value);

    /**
     * Gets the name of this <code>Principal</code> object.
     * @return the name of this <code>Principal</code> object
     * @deprecated Deprecated by CORBA 2.2.
     */
    public abstract byte[] name();
}
